Show / Hide Table of Contents

# Class SeStringManager

This class facilitates creating new SeStrings and breaking down existing ones into their individual payload components.

##### Inheritance

System.Object
SeStringManager

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Game.Text.SeStringHandling

###### Assembly: Dalamud.dll

##### Syntax

    [Obsolete("This class is obsolete. Please use the static methods on SeString instead.")]
    public sealed class SeStringManager

### Methods

| Improve this Doc View Source

#### CreateItemLink(Item, Boolean, String)

Creates an SeString representing an entire Payload chain that can be used to link an item in the chat log.

##### Declaration

    [Obsolete("This method is obsolete. Please use the static methods on SeString instead.", true)]
    public SeString CreateItemLink(Item item, bool isHQ, string displayNameOverride = null)

##### Parameters

Type | Name | Description
--- | --- | ---
Item | item | The Lumina Item to link.
System.Boolean | isHQ | Whether to link the high-quality variant of the item.
System.String | displayNameOverride | An optional name override to display, instead of the actual item name.

##### Returns

Type | Description
--- | ---
SeString | An SeString containing all the payloads necessary to display an item link in the chat log.

| Improve this Doc View Source

#### CreateItemLink(UInt32, Boolean, String)

Creates an SeString representing an entire Payload chain that can be used to link an item in the chat log.

##### Declaration

    [Obsolete("This method is obsolete. Please use the static methods on SeString instead.", true)]
    public SeString CreateItemLink(uint itemId, bool isHQ, string displayNameOverride = null)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | itemId | The id of the item to link.
System.Boolean | isHQ | Whether to link the high-quality variant of the item.
System.String | displayNameOverride | An optional name override to display, instead of the actual item name.

##### Returns

Type | Description
--- | ---
SeString | An SeString containing all the payloads necessary to display an item link in the chat log.

| Improve this Doc View Source

#### CreateMapLink(String, Single, Single, Single)

Creates an SeString representing an entire Payload chain that can be used to link a map position in the chat log, matching a specified zone name.

##### Declaration

    [Obsolete("This method is obsolete. Please use the static methods on SeString instead.", true)]
    public SeString CreateMapLink(string placeName, float xCoord, float yCoord, float fudgeFactor = 0.05F)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | placeName | The name of the location for this link. This should be exactly the name as seen in a displayed map link in-game for the same zone.
System.Single | xCoord | The human-readable x-coordinate for this link.
System.Single | yCoord | The human-readable y-coordinate for this link.
System.Single | fudgeFactor | An optional offset to account for rounding and truncation errors; it is best to leave this untouched in most cases.

##### Returns

Type | Description
--- | ---
SeString | An SeString containing all of the payloads necessary to display a map link in the chat log.

| Improve this Doc View Source

#### CreateMapLink(UInt32, UInt32, Int32, Int32)

Creates an SeString representing an entire Payload chain that can be used to link a map position in the chat log.

##### Declaration

    [Obsolete("This method is obsolete. Please use the static methods on SeString instead.", true)]
    public SeString CreateMapLink(uint territoryId, uint mapId, int rawX, int rawY)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | territoryId | The id of the TerritoryType for this map link.
System.UInt32 | mapId | The id of the Map for this map link.
System.Int32 | rawX | The raw x-coordinate for this link.
System.Int32 | rawY | The raw y-coordinate for this link..

##### Returns

Type | Description
--- | ---
SeString | An SeString containing all of the payloads necessary to display a map link in the chat log.

| Improve this Doc View Source

#### CreateMapLink(UInt32, UInt32, Single, Single, Single)

Creates an SeString representing an entire Payload chain that can be used to link a map position in the chat log.

##### Declaration

    [Obsolete("This method is obsolete. Please use the static methods on SeString instead.", true)]
    public SeString CreateMapLink(uint territoryId, uint mapId, float xCoord, float yCoord, float fudgeFactor = 0.05F)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | territoryId | The id of the TerritoryType for this map link.
System.UInt32 | mapId | The id of the Map for this map link.
System.Single | xCoord | The human-readable x-coordinate for this link.
System.Single | yCoord | The human-readable y-coordinate for this link.
System.Single | fudgeFactor | An optional offset to account for rounding and truncation errors; it is best to leave this untouched in most cases.

##### Returns

Type | Description
--- | ---
SeString | An SeString containing all of the payloads necessary to display a map link in the chat log.

| Improve this Doc View Source

#### Parse(Byte*, Int32)

Parse a binary game message into an SeString.

##### Declaration

    [Obsolete("This method is obsolete. Please use the static methods on SeString instead.", true)]
    public SeString Parse(byte *ptr, int len)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | ptr | Pointer to the string's data in memory.
System.Int32 | len | Length of the string's data in memory.

##### Returns

Type | Description
--- | ---
SeString | An SeString containing parsed Payload objects for each payload in the data.

| Improve this Doc View Source

#### Parse(Byte[])

Parse a binary game message into an SeString.

##### Declaration

    [Obsolete("This method is obsolete. Please use the static methods on SeString instead.", true)]
    public SeString Parse(byte[] bytes)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte[] | bytes | Binary message payload data in SE's internal format.

##### Returns

Type | Description
--- | ---
SeString | An SeString containing parsed Payload objects for each payload in the data.

| Improve this Doc View Source

#### Parse(ReadOnlySpan<Byte>)

Parse a binary game message into an SeString.

##### Declaration

    [Obsolete("This method is obsolete. Please use the static methods on SeString instead.", true)]
    public SeString Parse(ReadOnlySpan<byte> data)

##### Parameters

Type | Name | Description
--- | --- | ---
System.ReadOnlySpan<System.Byte> | data | Binary message payload data in SE's internal format.

##### Returns

Type | Description
--- | ---
SeString | An SeString containing parsed Payload objects for each payload in the data.

| Improve this Doc View Source

#### TextArrowPayloads()

Creates a list of Payloads necessary to display the arrow link marker icon in chat with the appropriate glow and coloring.

##### Declaration

    [Obsolete("This data is obsolete. Please use the static version on SeString instead.", true)]
    public List<Payload> TextArrowPayloads()

##### Returns

Type | Description
--- | ---
System.Collections.Generic.List<Payload> | A list of all the payloads required to insert the link marker.